Install phidgets on linux mint 17.3

Supporting 2.6 and up
mrecuenco
Fresh meat
Posts: 2
Joined: Sun May 28, 2017 3:11 am
Contact:

Install phidgets on linux mint 17.3

Postby mrecuenco » Sun May 28, 2017 3:48 am

I am installing phidgets libraries on a linux mint 17.3. According to http://www.phidgets.com/docs/OS_-_Linux#Installing, I installed libusb-1.0-0-dev, downloaded & uncompressed phidgets libraries, and tried to ./configure. I got the error:

checking whether the C compiler works... no
configure: error: in `/home/xxxxxxx/Downloads/libphidget-2.1.8.20151217':
configure: error: C compiler cannot create executables
See `config.log' for more details


having a look on config.log I found:
gcc version 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04.3)
configure:3313: $? = 0
configure:3302: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:3313: $? = 4
configure:3302: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:3313: $? = 4
configure:3333: checking whether the C compiler works
configure:3355: gcc conftest.c >&5
/usr/bin/ld: cannot find crt1.o: No such file or directory
/usr/bin/ld: cannot find crti.o: No such file or directory
/usr/bin/ld: cannot find -lc
/usr/bin/ld: cannot find crtn.o: No such file or directory
collect2: error: ld returned 1 exit status
configure:3359: $? = 1
configure:3397: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Phidget21 C Library"
| #define PACKAGE_TARNAME "libphidget"
| #define PACKAGE_VERSION "2.1.8.20151217"
| #define PACKAGE_STRING "Phidget21 C Library 2.1.8.20151217"
| #define PACKAGE_BUGREPORT "support@phidgets.com"
| #define PACKAGE_URL "www.phidgets.com"
| #define PACKAGE "libphidget"
| #define VERSION "2.1.8.20151217"
| /* end confdefs.h. */


Is there any requirement about gcc version for phidget libraries?

mrecuenco
Fresh meat
Posts: 2
Joined: Sun May 28, 2017 3:11 am
Contact:

Re: Install phidgets on linux mint 17.3

Postby mrecuenco » Sun May 28, 2017 9:26 am

Self answer.. Installed g++ and problem solved.


Return to “Linux”

Who is online

Users browsing this forum: No registered users and 2 guests